#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.14.0.2
visibility:           public
id:                   lsp-test-0.14.0.2-BCM6CvnTV6jG7HPj9Kd8it
key:                  lsp-test-0.14.0.2-BCM6CvnTV6jG7HPj9Kd8it
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:
    https://github.com/haskell/lsp/blob/master/lsp-test/README.md

synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  f1127e4bffe8d281b13c10ae92a1a4ce
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-G0J7GFw9FY9Cgw8HeD2oK5:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.4.0.1-H78sA3tSDS77PgdZ0sL2Qx:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-H78sA3tSDS77PgdZ0sL2Qx:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-test-0.14.0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-test-0.14.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp-test0.14.0
hs-libraries:         HSlsp-test-0.14.0.2-BCM6CvnTV6jG7HPj9Kd8it
depends:
    Diff-0.4.1-1G3L1y7ozfNBRda4lfhRHi
    Glob-0.10.2-4tIea1alSMz9FiUpFFurl4
    aeson-2.1.2.1-CpoRxHFZvRPAv3Ckw5zuNY
    aeson-pretty-0.8.10-COOAkJFzDNx1gstbdxW3ZE
    ansi-terminal-1.0-67eQFlQuICUIge8NSYN9j9
    async-2.2.5-B58Idx8XDkhJGDCeQAIlbD base-4.16.4.0
    bytestring-0.11.4.0 conduit-1.3.6.1-2CdrkI1QYzk7RhZFOoAq8k
    conduit-parse-0.2.1.1-6Dm6lBPYIiDEO4lDqhIFWV containers-0.6.5.1
    data-default-0.7.1.1-I9kq9gy0LH5EzYc6jkZCLH directory-1.3.6.2
    filepath-1.4.2.2 lens-5.2.3-Ijuof6WNaie9e7Hnr0xxNE
    lsp-types-1.4.0.1-H78sA3tSDS77PgdZ0sL2Qx mtl-2.2.2
    parser-combinators-1.3.0-G0J7GFw9FY9Cgw8HeD2oK5 process-1.6.16.0
    some-1.0.5-L5glA67mR8RJufLDsA2lRz text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.20-556FrLXx6TeI4rsDo1obsC

haddock-interfaces:   /usr/share/doc/haskell-lsp-test0.14.0/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test0.14.0/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

